<template>
    <div class="container mt-3 pt-5" style="min-height: 600px;">
      <div class="container">
        <p class="h2 mt-4 mb-4">Daftar Transaksi</p>
      </div>
      <table class="table table-striped table-hover text-center align-middle">
        <thead>
          <tr>
            <th scope="col">ID Transaksi</th>
            <th scope="col">Judul Buku</th>
            <th scope="col">Genre</th>
            <th scope="col">Cover</th>
            <th scope="col">Jumlah Pembelian</th>
            <th scope="col">Harga</th>
            <th scope="col">Invoice</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="pesanan in pesanans" :key="pesanan.id">
            <td>{{ pesanan.id }}</td>
            <td style="text-align: start">{{ pesanan.buku.title }}</td>
            <td>{{ pesanan.buku.genre.genre }}</td>
            <td><img :src="'/img/' + pesanan.buku.cover" alt="" style="width: 50px;"></td>
            <td>{{ pesanan.quantity }}</td>
            <td>Rp{{ formatPrice(pesanan.buku.price) }}</td>
            <td><a class="btn btn-success" :href="'/invoice/' + pesanan.id">Print</a></td>
          </tr>
        </tbody>
      </table>
    </div>
  </template>
  
  <script>
  import axios from 'axios';

  export default {
    data() {
      return {
        pesanans: []
      };
    },
    mounted() {
      this.fetchPesanans();
    },
    methods: {
      fetchPesanans() {
        // Ganti URL dengan endpoint API yang sesuai
        const userId = req.params.userId;
        console.error(userId);
        axios.get(`http://localhost:8000/api/pesanan/${userId}`)
          .then(response => {
            this.pesanans = response.data.pesanans;
          })
          .catch(error => {
            console.error('Error fetching pesanans:', error);
            // Tampilkan pesan error
          });
      },
      formatPrice(price) {
        return price.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
      }
    }
  };
  </script>
  
  <style>
  /* Tambahkan gaya CSS kustom di sini jika diperlukan */
  </style>
  